//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public partial class Tb_FeeReceipt
    {
        public int Id { get; set; }

        public Nullable<int> BranchId { get; set; }


        [Display(Name = "Student")]
        [Required(ErrorMessage = "*")]
        public Nullable<int> StudentId { get; set; }

        [Display(Name = "Course")]
        [Required(ErrorMessage = "*")]
        public Nullable<int> CourseId { get; set; }

        [Display(Name = "Package")]
        [Required(ErrorMessage = "*")]
        public Nullable<int> PackageId { get; set; }

        [Display(Name = "Due Amount")]
        [Required(ErrorMessage = "*")]
        public Nullable<double> FeeAmount { get; set; }

        [Display(Name = "Receive Amount")]
        [Required(ErrorMessage = "*")]
        public Nullable<double> PaidAmount { get; set; }

        [Display(Name = "Discount")]

        public Nullable<double> Discount { get; set; }

        [Display(Name = "Balance Amount")]

        public Nullable<double> BalanceAmount { get; set; }


        public Nullable<double> BalanceDueAmt { get; set; }



        [Display(Name = "Serial No.")]
        public Nullable<int> ReceiptNo { get; set; }

        [DataType(DataType.Date)]
        public Nullable<System.DateTime> FeeDate { get; set; }

        [Display(Name = "Installment No")]
        [Required(ErrorMessage = "*")]
        public Nullable<int> InstallmentNoId { get; set; }

        [StringLength(250)]
        [DataType(DataType.MultilineText)]
        public string Remarks { get; set; }

        public string Narration { get; set; }

        [Display(Name = "Discount(%)")]
        public Nullable<int> DiscountId { get; set; }

        public Nullable<System.DateTime> DueDate { get; set; }
        [Display(Name = "Counselor")]
        public Nullable<int> CounselorId { get; set; }

        [Required(ErrorMessage = "*")]
        public string GroupName { get; set; }

        public Nullable<int> LocSerialNo { get; set; }
        public Nullable<bool> IsTransfer { get; set; }

        public Nullable<DateTime> _cdate;
        public Nullable<DateTime> CDate
        {
            get
            {
                if (_cdate != null)
                {
                    return _cdate.Value.Date;
                }
                return _cdate;

            }
            set
            {
                _cdate = value;
            }
        }


        [Display(Name = "Kit Provided")]
        [Required(ErrorMessage = "*")]
        public string KitProvided { get; set; }

        public Nullable<System.DateTime> PackageDate { get; set; }
        
        [Display(Name = "Fee Time")]
        public string RTime { get; set; }
        public string PayMode { get; set; }
        public string PayMode1 { get; set; }
       
        public Nullable<double> CashAmt { get; set; }
        public Nullable<double> PayAmt { get; set; }
        public Nullable<double> PayAmt1 { get; set; }
        public string Remarks1 { get; set; }
        public string Remarks2 { get; set; }
        public string Remarks3 { get; set; }
        public string PayMode2 { get; set; }
        public Nullable<int> Fsrno { get; set; }
        
        public virtual MaDiscount MaDiscount { get; set; }
        public virtual MaAdmission MaAdmission { get; set; }
        public virtual MaBranch MaBranch { get; set; }
        public virtual MaCourse MaCourse { get; set; }
        public virtual MaPackage MaPackage { get; set; }
        public virtual Tb_Installment Tb_Installment { get; set; }
        public virtual User User { get; set; }
    }
}
